org.eclipse.ease.ui.view

## Class VariablesDropin

- java.lang.Object
- - org.eclipse.ease.ui.view.VariablesDropin

All Implemented Interfaces:
  IExecutionListener, IShellDropin

    public class VariablesDropin
    extends Object
    implements IShellDropin, IExecutionListener

### Field Summary

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`VariablesDropin()`

### Method Summary

Methods
`Composite` `createPartControl(IWorkbenchPartSite site, Composite parent)` Create the drop-in visual components.
`String` `getTitle()` Get this drop-in title.
`void` `notify(IScriptEngine engine, Script script, int status)` Notifies the listeners when script execution started/ended or when the engine itself is started/ended.
`void` `setScriptEngine(IScriptEngine engine)` Sets the script engine for this drop-in.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VariablesDropin

    public VariablesDropin()

### Method Detail

#### setScriptEngine

    public void setScriptEngine(IScriptEngine engine)

Description copied from interface: `IShellDropin`
Sets the script engine for this drop-in. If the engine is changed during runtime, this method gets called another time. For all other scripting events this drop-in should register a listener on the script engine.

Specified by:
  `setScriptEngine` in interface `IShellDropin`
Parameters:
  `engine` - script engine used in shell view

#### createPartControl

    public Composite createPartControl(IWorkbenchPartSite site,
                              Composite parent)

Description copied from interface: `IShellDropin`
Create the drop-in visual components.

Specified by:
  `createPartControl` in interface `IShellDropin`
Parameters:
  `site` - workbench part site this drop-in is registered to
  `parent` - parent container to render in
Returns:
  composite created within parent container (may not be `null`)

#### getTitle

    public String getTitle()

Description copied from interface: `IShellDropin`
Get this drop-in title. The title is used to populate a tabitem.

Specified by:
  `getTitle` in interface `IShellDropin`
Returns:
  drop-in title

#### notify

    public void notify(IScriptEngine engine,
              Script script,
              int status)

Description copied from interface: `IExecutionListener`
Notifies the listeners when script execution started/ended or when the engine itself is started/ended.

Specified by:
  `notify` in interface `IExecutionListener`
Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status